Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.notification.event
Class Event

    java.lang.Object
      java.util.EventObject
          org.jboss.cache.pojo.notification.event.Event

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ArrayModifiedEvent, AttachedEvent, DetachedEvent, FieldModifiedEvent, ListModifiedEvent, MapModifiedEvent, SetModifiedEvent, TransactionCompletedEvent, TransactionRegisteredEvent

    public abstract class Event

extends EventObject

Base class for all POJO Cache events.

Author:
  Jason T. Greene
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`Event(NotificationContext context, Object source, boolean local)`

Method Summary
`NotificationContext` | `getContext()` Obtain the context associated with this notification.
`boolean` | `isLocal()` Determines if this event originated locally.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Event

    public Event(NotificationContext context,
                 Object source,
                 boolean local)

Method Detail

### isLocal

    public boolean isLocal()

  Determines if this event originated locally.

  Returns:
    true if this event originated locally, otherwise false.

### getContext

    public NotificationContext getContext()

  Obtain the context associated with this notification.

  Returns:
    the notification context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.